summaryrefslogtreecommitdiffstats
path: root/util/macos_install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'util/macos_install.sh')
-rwxr-xr-xutil/macos_install.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/util/macos_install.sh b/util/macos_install.sh
new file mode 100755
index 000000000..551b84b5a
--- /dev/null
+++ b/util/macos_install.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if brew --version 2>&1 > /dev/null; then
+ echo "Error! Homebrew not installed or broken!"
+ echo -n "Would you like to install homebrew now? [y/n] "
+ while read ANSWER; do
+ case $ANSWER in
+ y|Y)
+ /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
+ break
+ ;;
+ n|N)
+ exit 1
+ ;;
+ *)
+ echo -n "Would you like to install homebrew now? [y/n] "
+ ;;
+ esac
+ done
+fi
+
+brew tap osx-cross/avr
+brew tap PX4/homebrew-px4
+brew update
+brew install avr-gcc gcc-arm-none-eabi dfu-programmer avrdude